//
//  TiledScrollView.h
//  sc
//
//  Created by kunii on 09/09/03.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@class testView;
@protocol TiledScrollViewDataSource;

@interface TiledScrollView : UIScrollView <UIScrollViewDelegate> {
    id <TiledScrollViewDataSource>  dataSource;									//	指定された内容部を持つタイルビュー（タイル用UIView）を提供するインスタンス
    CGSize                          tileSize;									//	タイルビューの大きさ
    testView						*tileContainerView;							//	タイルビューを埋め込み束ねるビュー
    NSMutableSet                    *reusableTiles;								//	現在利用していないタイルビューを保持するインスタンス
    int firstVisibleRow, firstVisibleColumn, lastVisibleRow, lastVisibleColumn;	//	縦横のタイルの最小最大インディックス
    int                              resolution;
    int                              maximumResolution;
    int                              minimumResolution;
}
@property (nonatomic, assign) id <TiledScrollViewDataSource> dataSource;
@property (nonatomic, assign) CGSize tileSize;
@property (nonatomic, readonly) testView *tileContainerView;

- (UIView *)dequeueReusableTile;	//	現在利用していないタイルビューがあれば返す。なければnilを返す。
- (void)reloadData;
- (void)reloadDataWithNewContentSize:(CGSize)size;

- (void)setMinimumResolution:(int)res;
- (void)setMaximumResolution:(int)res;
@end

/*
	指定された内容部を持つタイルビューを提供するプロトコル
*/
@protocol TiledScrollViewDataSource <NSObject>
//	横column番目、縦row番目の内容部を持つタイルビューを返す。
- (UIView *)tiledScrollView:(TiledScrollView *)scrollView tileForRow:(int)row column:(int)column resolution:(int)resolution;

@end


