//
//  testView.h
//  sc
//
//  Created by xcc on 09/08/15.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol testViewDelegate;				//	testViewの定義より後ろで定義しているので、ワーニングが出ないように先にコンパイラに存在だけ知らせる。

@interface testView : UIView {
	id<testViewDelegate>	delegate;	//	ジェスチャー検出の通知先
	CGPoint	tapLocation;				//	タップ位置（testViewローカル座標）
    BOOL multipleTouches;				//	複数の指が触れた場合にYESになる。全部の指が離れた時にNOにリセット。
    BOOL twoFingerTapIsPossible;		//	2フィンガータップとみなされなくなった時にNOになる。全部の指が離れた時にYESにリセット。
	BOOL drawSelf;						//	NOならdrawRectを機能させない。
}
@property (nonatomic, assign) id<testViewDelegate> delegate;
@property (readwrite) BOOL drawSelf;
@end

/*
	オリジナルのデリゲートメソッド定義
*/
@protocol testViewDelegate<NSObject>
@optional
- (void)view:(testView *)view gotSingleTapAtPoint:(CGPoint)tapPoint;
- (void)view:(testView *)view gotDoubleTapAtPoint:(CGPoint)tapPoint;
- (void)view:(testView *)view gotTwoFingerTapAtPoint:(CGPoint)tapPoint;
@end

